<?php

add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles' );
function theme_enqueue_styles() {
    wp_enqueue_style( 'twentytwentytwo-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array('twentytwentytwo-style')
    );

    wp_register_script( 'kti-theme-script', get_stylesheet_directory_uri().'/script.js', array('jquery'), '', true );
    wp_enqueue_script( 'kti-theme-script' );
}

// Add Shortcode
function init_lang_switcher($atts)
{
    $data = pll_the_languages(['raw' => 1]);
    $output = '
    <div class="lang-switcher__container '. ( !empty( $atts[0] ) ? 'lang-switcher__toggle--disabled' : '' ) .'">
        <span class="lang-switcher__item de '. ($data['de']['current_lang'] ? 'lang-switcher__item--active' : '') .'">
            <a lang="'. $data['de']['locale'] .'" hreflang="'. $data['de']['locale'] .'" href="'. $data['de']['url'] .'">
                <img src="'. get_stylesheet_directory_uri().'/img/de.png' .'" alt="'. $data['de']['name'] .'" width="33" height="20"/>
            </a>
        </span>';
        if( empty( $atts[0] ) )
        {
            $output .= '
            <a class="lang-switcher__toggle" lang="'. ( $data['de']['current_lang'] ? $data['en']['locale'] : $data['de']['locale'] ) .'" hreflang="'. ( $data['de']['current_lang'] ? $data['en']['locale'] : $data['de']['locale'] ) .'" href="'. ( $data['de']['current_lang'] ? $data['en']['url'] : $data['de']['url'] ) .'">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="rgb(255,255,255)" class="bi bi-toggle-o" viewBox="0 0 16 16">
                  <path d="M5 3a5 5 0 0 0 0 10h6a5 5 0 0 0 0-10H5zm6 9a4 4 0 1 1 0-8 4 4 0 0 1 0 8z"/>
                </svg>
            </a>';
        }
        $output .= '
        <span class="lang-switcher__item en '. ($data['en']['current_lang'] ? 'lang-switcher__item--active' : '') .'">
            <a lang="'. $data['en']['locale'] .'" hreflang="'. $data['en']['locale'] .'" href="'. $data['en']['url'] .'">
                <img src="'. get_stylesheet_directory_uri().'/img/gb.png' .'" alt="'. $data['en']['name'] .'" width="40" height="20"/>
            </a>
        </span>
    </div>';

    return $output;
}
add_shortcode( 'lang_switcher', 'init_lang_switcher' );