// Dynamic_element_spacer
window.addEventListener('load', function()
{
    let elementSelector = 'header.wp-block-template-part',
        spacerSelector = '#main-navbar';

    set_spacerHeight( elementSelector, spacerSelector );
    window.addEventListener('resize', function(){
        set_spacerHeight( elementSelector, spacerSelector );
    }, true);

    // Performance_booster_slider
    if( document.querySelector('.performance-booster__slider') )
    {
        init_dividers();
        equalizeSlides();
        window.addEventListener('resize', equalizeSlides);
    }
    function init_dividers()
    {
        let slides = document.querySelectorAll('.performance-booster__slider .kadence-blocks-gallery-item__caption');

        slides.forEach(function(slide)
        {
            slide.innerHTML = slide.innerHTML.replace('<br><br>','<div class="performance-booster__divider"></div>');
        });
    }
    function equalizeSlides()
    {
        let slides = document.querySelectorAll('.performance-booster__slider .kb-gallery-figure'),
            itemHeight = 0;

        if( window.innerWidth <= 991 )
        {
            document.querySelector('.lang-switcher__container').classList.add('lang-switcher__toggle--disabled');
        } else {
            document.querySelector('.lang-switcher__container').classList.remove('lang-switcher__toggle--disabled');
        }

        slides.forEach(function(slide)
        {
            slide.style.removeProperty('height');
        });
        slides.forEach(function(slide)
        {
            if(slide.offsetHeight > itemHeight )
            {
                itemHeight = slide.offsetHeight;
            }
        });
        slides.forEach(function(slide)
        {
            slide.style.height = itemHeight+'px';
        });
    }
    // Performance_booster_slider END


    // Mobile_nav_fix
    document.querySelector('nav').addEventListener('click', function(element)
    {
        if( element.target.classList.contains('wp-block-navigation-item__label') )
        {
            document.querySelector('.wp-block-navigation__responsive-container-close').click();
        }
    });
    // Mobile_nav_fix END
});
function get_elementHeight( element ) {
    return document.querySelector( element ).offsetHeight;
}
function set_spacerHeight( spacer, element ) {
    document.querySelector( spacer ).style.height = get_elementHeight( element ) +'px';
}
// Dynamic_element_spacer END


// Document_ready_scripts
document.addEventListener('DOMContentLoaded', function(){

    if( document.querySelector('html[lang="de-DE"]') && document.querySelector('.header-en') )
    {
        document.querySelector('.header-en').remove();
        document.querySelector('.footer-en').remove();
    } else {
        document.querySelector('.header-de').remove();
        document.querySelector('.footer-de').remove();
    }

    // Copyright_year
    if( document.getElementById('copyrightYear') )
    {
        document.getElementById('copyrightYear').innerHTML = new Date().getFullYear();
    }
    // Copyright_year END

});
// Document_ready_scripts END